%define upstream_name    Net-UPnP
%define upstream_version 1.4.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for UPnP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
This package provides some functions to control UPnP devices.

Currently, the package provides only functions for the control point. To
control UPnP devices, see the Net::UPnP::ControlPoint manpage.

As a sample of the control point, the package provides the
Net::UPnP::AV::MediaServer manpage to control the devices such as DLNA
media servers. As the example, please dms2vodcast.pl that converts from the
MPEG2 movies to the MPEG4 one and outputs the RSS file for Vodcasting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*






%changelog
* Tue Jan 18 2011 jquelin <jquelin> 1.4.2-1.mga1
+ Revision: 22687
- cleaning spec file
- imported package perl-Net-UPnP


* Fri Jul 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 557185
- import perl-Net-UPnP


* Fri Jul 23 2010 cpan2dist 1.4.2-1mdv
- initial mdv release, generated with cpan2dist
